@echo off
echo Making GM binary release.

rem ******************
rem Parse command line
rem ******************

set DEBUG_RELEASE=%1
if x%DEBUG_RELEASE% == xDEBUG goto debug
if x%DEBUG_RELEASE% == xDebug goto debug
if x%DEBUG_RELEASE% == xdebug goto debug
if x%DEBUG_RELEASE% == xRELEASE goto release
if x%DEBUG_RELEASE% == xRelease goto release
if x%DEBUG_RELEASE% == xrelease goto release
goto syntax
:debug
set checked_free=checked
goto skip
:release
set checked_free=free
goto skip
:syntax
echo "Syntax: %0 DEBUG|Debug|debug|RELEASE|Release|release"
goto done
:skip

set srcdir=\\creator\gm\glenn\gm
set compdir=Z:\gm_nt_build
set bindir=%compdir%\binary
echo COPYING THE %DEBUG_RELEASE%/%checked_free% VERSION

rem *************
rem ** Copy the debug files.
rem *************

@echo on
rebase -b 0x10000 -x %SystemRoot%\symbols\turtle\%checked_free% %compdir%\gm_sys\%DEBUG_RELEASE%\gm.sys
copy %SystemRoot%\symbols\turtle\%checked_free%\sys\gm.dbg z:\debug\i386\free\sys\gm.dbg
rebase -b 0x10000 -x %SystemRoot%\symbols\turtle\%checked_free% %compdir%\gm_miniport_sys\%DEBUG_RELEASE%\gm_miniport.sys
rebase -b 0x400000 -x %SystemRoot%\symbols\turtle\%checked_free% %compdir%\mmd\%DEBUG_RELEASE%\mmd.exe
@echo off

rem *************
rem ** Copy files for the binary release
rem *************

set dev=%bindir%
set floppy=%bindir%
set tests=%bindir%

@echo on
del /F /Q %bindir%
mkdir %bindir%
mkdir %dev%
mkdir %floppy%
mkdir %tests%
copy %srcdir%\README %bindir%\README
copy %srcdir%\README %floppy%\README
copy %compdir%\gm_sys\%DEBUG_RELEASE%\gm.sys %floppy%\GM.SYS
copy %compdir%\gm_miniport_sys\%DEBUG_RELEASE%\gm_miniport.sys %floppy%\GM_MINIPORT.SYS
copy %compdir%\gm\%DEBUG_RELEASE%\gm.dll %floppy%\GM.DLL
copy %compdir%\gm\%DEBUG_RELEASE%\gm.lib %dev%\GM.LIB
copy %compdir%\all_sizes\%DEBUG_RELEASE%\gm_all_sizes.exe %tests%\gm_all_sizes.exe
copy %compdir%\GMForAgents\%DEBUG_RELEASE%\GMForAgents.exe %tests%\GMForAgents.exe
copy %compdir%\nway\%DEBUG_RELEASE%\gm_nway.exe %tests%\gm_nway.exe
copy %compdir%\gm_board_info\%DEBUG_RELEASE%\gm_board_info.exe %tests%\gm_board_info.exe
copy %compdir%\dirsend\%DEBUG_RELEASE%\gm_dirsend.exe %tests%\gm_dirsend.exe
copy %compdir%\gm_mapper_service_exe\%DEBUG_RELEASE%\gm_mapper_service.exe %floppy%\gm_mapper_service.exe
copy %srcdir%\mt\tools\static.args %floppy%\static.args
copy %srcdir%\mt\tools\file.args %floppy%\file.args
copy %srcdir%\mt\tools\map_once.args %floppy%\map_once.args
copy %srcdir%\mt\tools\active.args %floppy%\active.args
copy %srcdir%\mt\tools\oemsetup.inf %floppy%\OEMSETUP.INF
copy %srcdir%\drivers\nt4.0\go.bat %floppy%\go.bat
copy %srcdir%\include\gm.h %dev%\gm.h
@echo off

rem *************
rem ** Done
rem *************

echo COPIED THE %DEBUG_RELEASE% VERSION
time /t

:done
exit

