/******************************************************************-*-c-*-
 * Myricom GM networking software and documentation                      *
 * Copyright (c) 1996, 1997 by Myricom, Inc.                             *
 * All rights reserved.  See the file `COPYING' for copyright notice.    *
 *************************************************************************/

#include "gm_config.h"
#include "gm_debug.h"
#include "gm_internal.h"

#if STDC_HEADERS && !GM_KERNEL
#include <stdlib.h>
void abort (void);
#endif


GM_ENTRY_POINT void
gm_abort ()
{
#if GM_KERNEL
  gm_arch_abort ();
  gm_exit (GM_ABORTED);
#elif defined WIN32
  /* Keep Windows from popping up a useless and annoying dialog box if the
     program fails. */
  GM_WARN (("Program aborted.\n"));
  gm_exit (GM_ABORTED);
#else
  abort ();
#endif
}
