/******************************************************************-*-c-*-
 * Myricom GM networking software and documentation                      *
 * Copyright (c) 1996, 1997 by Myricom, Inc.                             *
 * All rights reserved.  See the file `COPYING' for copyright notice.    *
 *************************************************************************/

#include "gm_debug.h"
#include "gm_internal.h"

#define GM_DEBUG_MEMORIZE_MESSAGE 0

				/* for memcpy */
#if defined STDC_HEADERS && ( !GM_KERNEL || GM_OS_VXWORKS )
#include <string.h>
#endif

/* Copy message into buffer if needed. */
void *
gm_memorize_message (void *message, void *buffer, unsigned len)
{
  /* print input to copy */

  GM_PRINT (GM_DEBUG_MEMORIZE_MESSAGE, ("")); /* label location */
  if (GM_DEBUG_MEMORIZE_MESSAGE)
    {
      gm_hex_dump (message, len);
    }
  
  /* Copy message into buffer */

  /* FIXME: we may be able to do better than memcpy since
     we know some things about alignment and length */

  gm_bcopy (message, buffer, len);

  /* print copied output */

  if (GM_DEBUG_MEMORIZE_MESSAGE)
    {
      gm_hex_dump (buffer, len);
    }

  return message;
}

