/******************************************************************-*-c-*-
 * Myricom GM networking software and documentation			 *
 * Copyright (c) 2000 by Myricom, Inc.					 *
 * All rights reserved.	 See the file `COPYING' for copyright notice.	 *
 *************************************************************************/

/* author: glenn@myri.com */

#ifndef _gm_firware_galvantech_workaround_h_
#define _gm_firware_galvantech_workaround_h_

#include "gm_enable_galvantech_workaround.h"

#define GM_GALVANTECH_COPIED_ACK_DWORDS (GM_ENABLE_GALVANTECH_WORKAROUND \
					 ? (((sizeof (gm_ack_packet_t)	 \
					      + GM_MAX_NETWORK_DIAMETER) \
					     / 8)			 \
					    + 1)			 \
					 : 0)
typedef gm_u64_t
gm_galvantech_copied_ack_packet_t [GM_GALVANTECH_COPIED_ACK_DWORDS];

extern gm_galvantech_copied_ack_packet_t copied_ack_packet;

#endif /* _gm_firware_galvantech_workaround_h_ */
