/******************************************************************-*-c-*-
 * Myricom GM networking software and documentation			 *
 * Copyright (c) 1999 by Myricom, Inc.					 *
 * All rights reserved.	 See the file `COPYING' for copyright notice.	 *
 *************************************************************************/

/* author: glenn@myri.com */

#ifndef _gm_flash_h_
#define _gm_flash_h_

#include "gm_debug.h"

#define MORE_FLASHING 0

static inline void
gm_flash_while_waiting (char *str)
{
#define MORE_FLASHING 0
#if MORE_FLASHING
#  warning MORE_FLASHING may impact performance.
  gm_morse_async(str);
#else
#if GM_DEBUG
  gm_morse_async(str);
#else  /* !GM_DEBUG */
  GM_PARAMETER_MAY_BE_UNUSED (str);
#endif /* !GM_DEBUG */
#endif /* MORE_FLASHING */
}

#endif /* _gm_flash_h_ */

/*
  This file uses GM standard indentation:

  Local Variables:
  c-file-style:"gnu"
  tab-width:8
  c-backslash-column:72
  End:
*/
