/******************************************************************-*-c-*-
 * Myricom GM networking software and documentation			 *
 * Copyright (c) 2000 by Myricom, Inc.					 *
 * All rights reserved.	 See the file `COPYING' for copyright notice.	 *
 *************************************************************************/

/* author: glenn@myri.com */

#ifndef _gm_heartbeat_h_
#define _gm_heartbeat_h_

				/* Flash LED */
static inline void
heartbeat (void)
{
#if 0
  /* Flash "GM" in morse code. */
  gm_morse_async ("GM\n");
#elif 0
  /* Slow changing */
  static char threshold[] =
    { 0, 1, 2, 3, 4, 5, 6, 7, 7, 6, 5, 4, 3, 2, 1, 0 };
  int rtc = RTC;
  set_LED (((rtc >> 10) & 0x7) < (threshold[(rtc >> 16) & 0xf]));
#elif 1
  /* pulse periodically and turn on when sending */
  if (gm.led)
    {
      set_LED (1);
    }
  else
    {
      set_LED (((RTC & 0x1ff000) == 0));
    }
#elif 1
  /* Flash like a heart. */
  gm_morse_async ("N ");
#endif
}

#endif _gm_heartbeat_h_
